<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="uninstall.dice" version="1.0" date="2008-10-27" maxthreads="1">

  <!-- Script för avinstallation -->
  <includes>
    <file name="vida.install.settings.xml" />
  </includes>


  <tasks>

    <task name="uninstall.previous" typename="@CommandLine">
      
      <parameters>
        <parameter name="filename" value="msiexec.exe"/>
        <parameter name="arguments" value="/quiet /x {20EDA7CE-F934-40B0-A4FA-63C9CF427978} REMOVE=ALL"/>
        <parameter name="exitcode.return.value" value="uninstall.exitcode"/>
      </parameters>
    </task>

    <task name="no.previous.version.found" typename="@WriteInformation" condition="¤{uninstall.exitcode}=1605">
      <dependencies list="uninstall.previous"/>
      <parameters>
        <parameter name="message" value="No previous DiCE version found to uninstall."/>
      </parameters>
    </task>

    <task name="uninstall.success" typename="@WriteInformation" condition="¤{uninstall.exitcode}=0">
      <dependencies list="uninstall.previous"/>
      <parameters>
        <parameter name="message" value="Previous version of DiCE successfully uninstalled."/>
      </parameters>
    </task>

    <task name="uninstall.error" typename="@WriteInformation" condition="¤{uninstall.exitcode}!=0 AND ¤{uninstall.exitcode}!=1605">
      <dependencies list="uninstall.previous"/>
      <parameters>
        <parameter name="message" value="Previous version of DiCE found but uninstall failed. Please try to uninstall the DiCE software manually, using Add/Remove Programs in the Control Panel."/>
      </parameters>
    </task>
    
  </tasks>
</taskrunner>